Prev Top Next

Name
KXL_ReSizeFrame
Synopsis

    KXL_ReSizeFrame -- The size of a frame is changed.

Description

    void KXL_ReSizeFrame(Uint16 width, Uint16 height);

Arguments

width | Width of a frame
height | Height of a frame

Return Value
Nothing.
Exsample

    #include <KXL.h>

    int main(void)
    {
      KXL_CreateWindow(100, 100, "sample", 0);
      KXL_ReSizeFrame(200, 200);
      KXL_ClearFrameImm(0, 0, 200, 200);
      KXL_SetDrawColor(0xff, 0x00, 0x00);
      KXL_DrawRectangle(30, 30, 30, 30, True);
      KXL_DrawRectangle(100, 100, 30, 30, True);

      KXL_UpDateImm(0, 0, 100, 100);
      getchar();
      KXL_UpDateImm(50, 50, 100, 100);
      getchar();
      KXL_UpDateImm(100, 100, 100, 100);
      getchar();
      KXL_DeleteWindow();
      return 0;
    }